## icomlib 1.0.1-4

=== Makefile ===
######
# automagically built by ./configure
######

SRCDIR	=/home/bottoms/stage/icomlib-1.0.1
PREFIX	=/usr
P_DEBUG =-O2
P_CC	=gcc
P_CXX	=g++
P_SYS	=-DLinux
P_MOC	=/usr/bin/moc
P_QTLIB	=/usr/share/qt/lib
P_QTINC	=/usr/share/qt/include
P_LINKER=g++
P_LINK	=g++
P_QTOK	=y
P_GUISTYLE=-DSGI_STYLE

# linux configuration file

P_LINKER=$(P_CXX)
P_X11=/usr/X11R6
P_LFLAGS_PCOMM=-shared -Wl,-soname,libpcomm.so.1
P_LFLAGS_PCP=-shared -Wl,-soname,libpcp.so.1
P_LFLAGS_PLOG=-shared -Wl,-soname,libplog.so.1
P_LINK=$(P_LINKER)
#############################################################################
# Makefile for building targets in sub directories.
#############################################################################

MAKEFILE=	Makefile
SUBDIRS	=	include \
		src
LIBS	=	-L$(SRCDIR)/lib -lpcomm -lpcp -lplog
INCPATH	=	-I$(SRCDIR)/include 

all: .buildopts $(SUBDIRS)

$(SUBDIRS): FORCE
	cd $@; $(MAKE)

clean:
	for i in $(SUBDIRS); \
	do ( cd $$i ;\
		 $(MAKE) clean ) ; done

distclean: clean
	-rm -f `find . -name Makefile -print`

install: all 
	@echo "-----------------------------------------------------"
	@echo "| installing under $(PREFIX)/bin the binaries"
	@echo "-----------------------------------------------------"
	install -m 0755 -g bin -o root -d $(PREFIX)/bin
	install -m 0755 -g bin -o root -b -S old -s $(SRCDIR)/bin/pcr $(PREFIX)/bin 
	install -m 0755 -g bin -o root -b -S old -s $(SRCDIR)/bin/pcroff $(PREFIX)/bin
	install -m 0755 -g bin -o root -b -S old -s $(SRCDIR)/bin/qpcr1k $(PREFIX)/bin
	@echo "-----------------------------------------------------"
	@echo "| done installing the binaries "
	@echo "-----------------------------------------------------"
	@echo "| installing under $(PREFIX)/lib the libraries"
	@echo "-----------------------------------------------------"
	install -m 0755 -g bin -o root -d $(PREFIX)/lib
	install -m 0644 -g bin -o root -s $(SRCDIR)/lib/lib* $(PREFIX)/lib
	@echo "-----------------------------------------------------"
	@echo "| done installing the libraries "
	@echo "-----------------------------------------------------"
	@echo "| installing under $(PREFIX)/include the headers"
	@echo "-----------------------------------------------------"
	install -m 0755 -g bin -o root -d $(PREFIX)/include
	install -m 0644 -g bin -o root $(SRCDIR)/include/*.h $(PREFIX)/include
	@echo
	@echo "***********************************************"
	@echo "  WARNING! Dont forget to add $(PREFIX)/lib   "
	@echo "           to your LD_LIBRARY_PATH or run            "
	@echo "		  'ldconfig' as root on the system"
	@echo "***********************************************"
	@echo

#.buildopts: Makefile
#	@echo
#	@echo " 	You must run configure script before "
#	@echo " 	you can build the library "
#	@echo " 	Make will now abort with an error "
#	@echo

FORCE:

=== include/Makefile ===
######
# automagically built by ./configure
######

SRCDIR	=/home/bottoms/stage/icomlib-1.0.1
PREFIX	=/usr
P_DEBUG =-O2
P_CC	=gcc
P_CXX	=g++
P_SYS	=-DLinux
P_MOC	=/usr/bin/moc
P_QTLIB	=/usr/share/qt/lib
P_QTINC	=/usr/share/qt/include
P_LINKER=g++
P_LINK	=g++
P_QTOK	=y
P_GUISTYLE=-DSGI_STYLE

# linux configuration file

P_LINKER=$(P_CXX)
P_X11=/usr/X11R6
P_LFLAGS_PCOMM=-shared -Wl,-soname,libpcomm.so.1
P_LFLAGS_PCP=-shared -Wl,-soname,libpcp.so.1
P_LFLAGS_PLOG=-shared -Wl,-soname,libplog.so.1
P_LINK=$(P_LINKER)
PCOMMHEAD	= $(SRCDIR)/src/pcomm/pcomm.h \
		  $(SRCDIR)/src/pcomm/pcrdef.h

PCPHEAD		= $(SRCDIR)/src/pcp/pcp.h

PLOGHEAD	= $(SRCDIR)/src/plog/plog.h

all: clean
	ln -f $(PLOGHEAD) .
	ln -f $(PCOMMHEAD) .
	ln -f $(PCPHEAD) .

clean:
	rm -f core *~ *.h *.cpp

testvar:
	@echo "****$(PWD)****"
	@echo "*** LIBS   $(LIBS)"
	@echo "*** SRCDIR $(SRCDIR)"
	@echo "*** $(PCOMMHEAD) "
	@echo "*** $(PCPHEAD) "
	@echo "*** $(PLOGHEAD) "

=== src/Makefile ===
######
# automagically built by ./configure
######

SRCDIR	=/home/bottoms/stage/icomlib-1.0.1
PREFIX	=/usr
P_DEBUG =-O2
P_CC	=gcc
P_CXX	=g++
P_SYS	=-DLinux
P_MOC	=/usr/bin/moc
P_QTLIB	=/usr/share/qt/lib
P_QTINC	=/usr/share/qt/include
P_LINKER=g++
P_LINK	=g++
P_QTOK	=y
P_GUISTYLE=-DSGI_STYLE

# linux configuration file

P_LINKER=$(P_CXX)
P_X11=/usr/X11R6
P_LFLAGS_PCOMM=-shared -Wl,-soname,libpcomm.so.1
P_LFLAGS_PCP=-shared -Wl,-soname,libpcp.so.1
P_LFLAGS_PLOG=-shared -Wl,-soname,libplog.so.1
P_LINK=$(P_LINKER)
#############################################################################
# Makefile for building targets in sub directories.
#############################################################################

MAKEFILE=	Makefile
SUBDIRS	=	pcomm \
		pcp \
		plog \
		console \
		x11
LIBS	=	-L$(SRCDIR)/lib -lpcomm -lpcp -lplog
INCPATH	=	-I$(SRCDIR)/include 

install: all
	@echo "Installing in $(PREFIX)"

all: $(SUBDIRS)

$(SUBDIRS): FORCE
	cd $@; $(MAKE) SRCDIR="$(SRCDIR)"

clean:
	for i in $(SUBDIRS); \
	do ( cd $$i ;\
		 $(MAKE) clean ) ; done

FORCE:

=== src/console/Makefile ===
######
# automagically built by ./configure
######

SRCDIR	=/home/bottoms/stage/icomlib-1.0.1
PREFIX	=/usr
P_DEBUG =-O2
P_CC	=gcc
P_CXX	=g++
P_SYS	=-DLinux
P_MOC	=/usr/bin/moc
P_QTLIB	=/usr/share/qt/lib
P_QTINC	=/usr/share/qt/include
P_LINKER=g++
P_LINK	=g++
P_QTOK	=y
P_GUISTYLE=-DSGI_STYLE

# linux configuration file

P_LINKER=$(P_CXX)
P_X11=/usr/X11R6
P_LFLAGS_PCOMM=-shared -Wl,-soname,libpcomm.so.1
P_LFLAGS_PCP=-shared -Wl,-soname,libpcp.so.1
P_LFLAGS_PLOG=-shared -Wl,-soname,libplog.so.1
P_LINK=$(P_LINKER)
################################################################
# console apps makefile
#

DESTDIR		= $(SRCDIR)/bin
TARGETS		= $(DESTDIR)/pcr \
		  $(DESTDIR)/pcroff
INCPATH		= $(SRCDIR)/include
LIBS		= $(SRCDIR)/lib -lpcomm -lpcp -lplog
CC		= $(P_CC)
CXX		= $(P_CXX)
LINKER		= $(P_LINKER)

all: $(TARGETS)
	@echo "-----------------------------------------------------------"
	@echo "*  Console apps done ..."
	@echo "-----------------------------------------------------------"

$(DESTDIR)/pcr: pcr.cpp
	$(CXX) $(P_DEBUG) $(P_SYS) -o $(DESTDIR)/pcr -L$(LIBS) -I$(INCPATH) pcr.cpp

$(DESTDIR)/pcroff: pcroff.cpp
	$(CXX) $(P_DEBUG) $(P_SYS) -o $(DESTDIR)/pcroff -L$(LIBS) -I$(INCPATH) pcroff.cpp

pcr.cpp: $(INCPATH)/pcp.h \
	    $(INCPATH)/pcrdef.h

pcroff.cpp: $(INCPATH)/pcp.h \
	    $(INCPATH)/pcrdef.h

clean:
	rm -f $(TARGETS)
	rm -f core *~

=== src/pcomm/Makefile ===
######
# automagically built by ./configure
######

SRCDIR	=/home/bottoms/stage/icomlib-1.0.1
PREFIX	=/usr
P_DEBUG =-O2
P_CC	=gcc
P_CXX	=g++
P_SYS	=-DLinux
P_MOC	=/usr/bin/moc
P_QTLIB	=/usr/share/qt/lib
P_QTINC	=/usr/share/qt/include
P_LINKER=g++
P_LINK	=g++
P_QTOK	=y
P_GUISTYLE=-DSGI_STYLE

# linux configuration file

P_LINKER=$(P_CXX)
P_X11=/usr/X11R6
P_LFLAGS_PCOMM=-shared -Wl,-soname,libpcomm.so.1
P_LFLAGS_PCP=-shared -Wl,-soname,libpcp.so.1
P_LFLAGS_PLOG=-shared -Wl,-soname,libplog.so.1
P_LINK=$(P_LINKER)
#############################################################################
# Makefile for building libpcomm.so.1.0
#############################################################################

####### Compiler, tools and options

CC	=	$(P_CC)
CXX	=	$(P_CXX)
CFLAGS	=	$(P_PIPE) $(P_SYS) $(P_DEBUG) -fPIC
CXXFLAGS=	$(P_PIPE) $(P_SYS) $(P_DEBUG) -fPIC
INCPATH	=	-I$(SRCDIR)/include
LINK	=	$(P_LINKER)
LFLAGS	=	$(P_LFLAGS_PCOMM)
LIBS	=	
AR	=	ar cqs
RANLIB	=	
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	pcomm.h \
		pcrdef.h
SOURCES =	pcomm.cpp
OBJECTS =	pcomm.o
DIST	=	
TARGET	=	libpcomm.so.1.0
TARGETA	=	$(SRCDIR)/lib/libpcomm.a
TARGETD	=	libpcomm.so.1.0
TARGET0	=	libpcomm.so
TARGET1	=	libpcomm.so.1

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(SRCDIR)/lib/libpcomm.so.1.0

$(SRCDIR)/lib/libpcomm.so.1.0: $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET) $(TARGET0) $(TARGET1)
	$(LINK) $(LFLAGS) -o $(TARGETD) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-rm -f $(SRCDIR)/lib/$(TARGET)
	-rm -f $(SRCDIR)/lib/$(TARGET0)
	-rm -f $(SRCDIR)/lib/$(TARGET1)
	-mv $(TARGET) $(TARGET0) $(TARGET1) $(SRCDIR)/lib/

staticlib: $(TARGETA)

$(TARGETA): $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGETA)
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

#
#tmake: Makefile
#
#Makefile: pcomm.pro
#	tmake pcomm.pro -o Makefile
#

dist:
	$(TAR) pcomm.tar pcomm.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) pcomm.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f $(TARGET0) $(TARGET1) $(TARGETA)
	-rm -f $(SRCDIR)/lib/$(TARGET)
	-rm -f $(SRCDIR)/lib/$(TARGET0)
	-rm -f $(SRCDIR)/lib/$(TARGET1)
	-rm -f *~ core

####### Compile

pcomm.o: pcomm.cpp \
		pcomm.h \
		pcrdef.h

=== src/pcp/Makefile ===
######
# automagically built by ./configure
######

SRCDIR	=/home/bottoms/stage/icomlib-1.0.1
PREFIX	=/usr
P_DEBUG =-O2
P_CC	=gcc
P_CXX	=g++
P_SYS	=-DLinux
P_MOC	=/usr/bin/moc
P_QTLIB	=/usr/share/qt/lib
P_QTINC	=/usr/share/qt/include
P_LINKER=g++
P_LINK	=g++
P_QTOK	=y
P_GUISTYLE=-DSGI_STYLE

# linux configuration file

P_LINKER=$(P_CXX)
P_X11=/usr/X11R6
P_LFLAGS_PCOMM=-shared -Wl,-soname,libpcomm.so.1
P_LFLAGS_PCP=-shared -Wl,-soname,libpcp.so.1
P_LFLAGS_PLOG=-shared -Wl,-soname,libplog.so.1
P_LINK=$(P_LINKER)
#############################################################################
# Makefile for building libpcp.so.1.0
#     Project: pcp
#    Template: lib
#############################################################################

####### Compiler, tools and options

CC	=	$(P_CC)
CXX	=	$(P_CXX)
CFLAGS	=	$(P_PIPE) $(P_DEBUG) -fPIC $(P_SYS)
CXXFLAGS=	$(P_PIPE) $(P_DEBUG) -fPIC $(P_SYS)
INCPATH	=	-I$(SRCDIR)/include
LINK	=	$(P_LINK)
LFLAGS	=	$(P_LFLAGS_PCP)
LIBS	=	
AR	=	ar cqs
RANLIB	=	
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	pcp.h
SOURCES =	pcp.cpp
OBJECTS =	pcp.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	libpcp.so.1.0
TARGETA	=	$(SRCDIR)/lib/libpcp.a
TARGETD	=	libpcp.so.1.0
TARGET0	=	libpcp.so
TARGET1	=	libpcp.so.1

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(SRCDIR)/lib/libpcp.so.1.0

$(SRCDIR)/lib/libpcp.so.1.0: $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET) $(TARGET0) $(TARGET1)
	$(LINK) $(LFLAGS) -o $(TARGETD) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-rm -f $(SRCDIR)/lib/$(TARGET)
	-rm -f $(SRCDIR)/lib/$(TARGET0)
	-rm -f $(SRCDIR)/lib/$(TARGET1)
	-mv $(TARGET) $(TARGET0) $(TARGET1) $(SRCDIR)/lib/

staticlib: $(TARGETA)

$(TARGETA): $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGETA)
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

#
#tmake: Makefile
#
#Makefile: pcp.pro
#	tmake pcp.pro -o Makefile
#

dist:
	$(TAR) pcp.tar pcp.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) pcp.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f $(TARGET0) $(TARGET1) $(TARGETA)
	-rm -f *~ core

####### Compile

pcp.o: pcp.cpp \
		pcp.h

=== src/plog/Makefile ===
######
# automagically built by ./configure
######

SRCDIR	=/home/bottoms/stage/icomlib-1.0.1
PREFIX	=/usr
P_DEBUG =-O2
P_CC	=gcc
P_CXX	=g++
P_SYS	=-DLinux
P_MOC	=/usr/bin/moc
P_QTLIB	=/usr/share/qt/lib
P_QTINC	=/usr/share/qt/include
P_LINKER=g++
P_LINK	=g++
P_QTOK	=y
P_GUISTYLE=-DSGI_STYLE

# linux configuration file

P_LINKER=$(P_CXX)
P_X11=/usr/X11R6
P_LFLAGS_PCOMM=-shared -Wl,-soname,libpcomm.so.1
P_LFLAGS_PCP=-shared -Wl,-soname,libpcp.so.1
P_LFLAGS_PLOG=-shared -Wl,-soname,libplog.so.1
P_LINK=$(P_LINKER)
#############################################################################
# Makefile for building libplog.so.1.0
#     Project: plog
#    Template: lib
#############################################################################

####### Compiler, tools and options

CC	=	$(P_CC)
CXX	=	$(P_CXX)
CFLAGS	=	$(P_PIPE) $(P_DEBUG) -fPIC $(P_SYS)
CXXFLAGS=	$(P_PIPE) $(P_DEBUG) -fPIC $(P_SYS)
INCPATH	=	-I$(SRCDIR)/include
LINK	=	$(P_LINK)
LFLAGS	=	$(P_LFLAGS_PLOG)
LIBS	=	
AR	=	ar cqs
RANLIB	=	
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	plog.h
SOURCES =	plog.cpp
OBJECTS =	plog.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	libplog.so.1.0
TARGETA	=	$(SRCDIR)/lib/libplog.a
TARGETD	=	libplog.so.1.0
TARGET0	=	libplog.so
TARGET1	=	libplog.so.1

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(SRCDIR)/lib/libplog.so.1.0

$(SRCDIR)/lib/libplog.so.1.0: $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET) $(TARGET0) $(TARGET1)
	$(LINK) $(LFLAGS) -o $(TARGETD) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-rm -f $(SRCDIR)/lib/$(TARGET)
	-rm -f $(SRCDIR)/lib/$(TARGET0)
	-rm -f $(SRCDIR)/lib/$(TARGET1)
	-mv $(TARGET) $(TARGET0) $(TARGET1) $(SRCDIR)/lib/

staticlib: $(TARGETA)

$(TARGETA): $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGETA)
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)
#
#moc: $(SRCMOC)
#
#tmake: Makefile
#
#Makefile: plog.pro
#	tmake plog.pro -o Makefile
#
dist:
	$(TAR) plog.tar plog.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) plog.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f $(TARGET0) $(TARGET1) $(TARGETA)
	-rm -f *~ core

####### Compile

plog.o: plog.cpp \
		plog.h

=== src/x11/Makefile ===
######
# automagically built by ./configure
######

SRCDIR	=/home/bottoms/stage/icomlib-1.0.1
PREFIX	=/usr
P_DEBUG =-O2
P_CC	=gcc
P_CXX	=g++
P_SYS	=-DLinux
P_MOC	=/usr/bin/moc
P_QTLIB	=/usr/share/qt/lib
P_QTINC	=/usr/share/qt/include
P_LINKER=g++
P_LINK	=g++
P_QTOK	=y
P_GUISTYLE=-DSGI_STYLE

# linux configuration file

P_LINKER=$(P_CXX)
P_X11=/usr/X11R6
P_LFLAGS_PCOMM=-shared -Wl,-soname,libpcomm.so.1
P_LFLAGS_PCP=-shared -Wl,-soname,libpcp.so.1
P_LFLAGS_PLOG=-shared -Wl,-soname,libplog.so.1
P_LINK=$(P_LINKER)
all:
	-cd qpcr1k; make 
clean:
	-cd qpcr1k; make clean

=== src/x11/qpcr1k/Makefile ===
######
# automagically built by ./configure
######

SRCDIR	=/home/bottoms/stage/icomlib-1.0.1
PREFIX	=/usr
P_DEBUG =-O2
P_CC	=gcc
P_CXX	=g++
P_SYS	=-DLinux
P_MOC	=/usr/bin/moc
P_QTLIB	=/usr/share/qt/lib
P_QTINC	=/usr/share/qt/include
P_LINKER=g++
P_LINK	=g++
P_QTOK	=y
P_GUISTYLE=-DSGI_STYLE

# linux configuration file

P_LINKER=$(P_CXX)
P_X11=/usr/X11R6
P_LFLAGS_PCOMM=-shared -Wl,-soname,libpcomm.so.1
P_LFLAGS_PCP=-shared -Wl,-soname,libpcp.so.1
P_LFLAGS_PLOG=-shared -Wl,-soname,libplog.so.1
P_LINK=$(P_LINKER)
#############################################################################
# Makefile for building $(SRCDIR)/bin/qpcr1k
#     Project: qpcr1k
#    Template: app
#############################################################################

####### Compiler, tools and options

CC	=	$(P_CC)
CXX	=	$(P_CXX)
CFLAGS	=	$(P_PIPE) $(P_DEBUG) $(P_SYS) $(P_GUISTYLE)
CXXFLAGS=	$(P_PIPE) $(P_DEBUG) $(P_SYS) $(P_GUISTYLE)
INCPATH	=	-I$(SRCDIR)/include -I$(P_QTINC)
LINK	=	$(P_LINKER)
LFLAGS	=	
LIBS	=	-L$(SRCDIR)/lib -lpcomm -lpcp -L$(P_QTLIB) -lqt -L$(P_X11)/lib -lX11 -lXext
MOC	=	$(P_MOC)

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	pmainwindow.h \
		pmenu.h \
		ptools.h \
		pstatus.h \
		pui.h \
		pkeybd.h \
		pdisp.h \
		pctrl.h \
		pfileio.h \
		proedit.h \
		prodlg.h
SOURCES =	main.cpp \
		pmainwindow.cpp \
		pmenu.cpp \
		ptools.cpp \
		pstatus.cpp \
		pui.cpp \
		pkeybd.cpp \
		pdisp.cpp \
		pctrl.cpp \
		pfileio.cpp \
		proedit.cpp \
		prodlg.cpp
OBJECTS =	main.o \
		pmainwindow.o \
		pmenu.o \
		ptools.o \
		pstatus.o \
		pui.o \
		pkeybd.o \
		pdisp.o \
		pctrl.o \
		pfileio.o \
		proedit.o \
		prodlg.o
SRCMOC	=	moc_pmainwindow.cpp \
		moc_pmenu.cpp \
		moc_ptools.cpp \
		moc_pstatus.cpp \
		moc_pui.cpp \
		moc_pkeybd.cpp \
		moc_pdisp.cpp \
		moc_pctrl.cpp \
		moc_proedit.cpp \
		moc_prodlg.cpp
OBJMOC	=	moc_pmainwindow.o \
		moc_pmenu.o \
		moc_ptools.o \
		moc_pstatus.o \
		moc_pui.o \
		moc_pkeybd.o \
		moc_pdisp.o \
		moc_pctrl.o \
		moc_proedit.o \
		moc_prodlg.o
DIST	=	
TARGET	=	$(SRCDIR)/bin/qpcr1k

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(P_QTOK)

n:
	@echo "Not building QT GUI to radio"

y:	$(TARGET)
	@echo "Done"

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

#tmake: Makefile
#
#Makefile: qpcr1k.pro
#	tmake qpcr1k.pro -o Makefile

dist:
	$(TAR) qpcr1k.tar qpcr1k.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) qpcr1k.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

main.o: main.cpp \
		pmainwindow.h \
		pfileio.h \
		appicon1.xpm

pmainwindow.o: pmainwindow.cpp \
		pmainwindow.h \
		pfileio.h \
		prodlg.h \
		pui.h \
		pmenu.h \
		ptools.h \
		pstatus.h

pmenu.o: pmenu.cpp \
		pmenu.h

ptools.o: ptools.cpp \
		ptools.h \
		images.xpm

pstatus.o: pstatus.cpp \
		pstatus.h

pui.o: pui.cpp \
		pui.h \
		pkeybd.h \
		pdisp.h \
		pctrl.h

pkeybd.o: pkeybd.cpp \
		pkeybd.h

pdisp.o: pdisp.cpp \
		pdisp.h

pctrl.o: pctrl.cpp \
		pctrl.h

pfileio.o: pfileio.cpp \
		pfileio.h

proedit.o: proedit.cpp \
		proedit.h

prodlg.o: prodlg.cpp \
		prodlg.h \
		pfileio.h

moc_pmainwindow.o: moc_pmainwindow.cpp \
		pmainwindow.h \
		pfileio.h

moc_pmenu.o: moc_pmenu.cpp \
		pmenu.h

moc_ptools.o: moc_ptools.cpp \
		ptools.h

moc_pstatus.o: moc_pstatus.cpp \
		pstatus.h

moc_pui.o: moc_pui.cpp \
		pui.h

moc_pkeybd.o: moc_pkeybd.cpp \
		pkeybd.h

moc_pdisp.o: moc_pdisp.cpp \
		pdisp.h

moc_pctrl.o: moc_pctrl.cpp \
		pctrl.h

moc_proedit.o: moc_proedit.cpp \
		proedit.h

moc_prodlg.o: moc_prodlg.cpp \
		prodlg.h

moc_pmainwindow.cpp: pmainwindow.h
	$(MOC) pmainwindow.h -o moc_pmainwindow.cpp

moc_pmenu.cpp: pmenu.h
	$(MOC) pmenu.h -o moc_pmenu.cpp

moc_ptools.cpp: ptools.h
	$(MOC) ptools.h -o moc_ptools.cpp

moc_pstatus.cpp: pstatus.h
	$(MOC) pstatus.h -o moc_pstatus.cpp

moc_pui.cpp: pui.h
	$(MOC) pui.h -o moc_pui.cpp

moc_pkeybd.cpp: pkeybd.h
	$(MOC) pkeybd.h -o moc_pkeybd.cpp

moc_pdisp.cpp: pdisp.h
	$(MOC) pdisp.h -o moc_pdisp.cpp

moc_pctrl.cpp: pctrl.h
	$(MOC) pctrl.h -o moc_pctrl.cpp

moc_proedit.cpp: proedit.h
	$(MOC) proedit.h -o moc_proedit.cpp

moc_prodlg.cpp: prodlg.h
	$(MOC) prodlg.h -o moc_prodlg.cpp

=== debian/changelog ===
icomlib (1.0.1-4) unstable; urgency=low

  * be flexible about moc location (closes #102665)
  * work with libqt-dev in preparation for woody release

 -- Maitland Bottoms <bottoms@debian.org>  Sat, 14 Jul 2001 21:56:43 -0400

icomlib (1.0.1-3) unstable; urgency=low

  * be flexible about qt dependencies
  * depend upon libqt2-dev instead of libqt2.2-dev to close #87244

 -- Maitland Bottoms <bottoms@debian.org>  Sat, 24 Feb 2001 17:02:41 -0500

icomlib (1.0.1-2) unstable; urgency=low

  * sys/time.h -> time.h o close #86610

 -- Maitland Bottoms <bottoms@debian.org>  Wed, 21 Feb 2001 21:25:40 -0500

icomlib (1.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Maitland Bottoms <bottoms@debian.org>  Sun,  7 Jan 2001 13:54:45 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address "bottoms@debian.org"
End:

=== debian/control ===
Source: icomlib
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>> 2.0.0), libqt-dev
Standards-Version: 3.2.1

Package: icomlib1-dev
Architecture: any
Depends: icomlib1, libc6-dev
Description: Icom PCR-1000 development kit
 icomlib is the ghetto.org PCR-1000 control suite. It consists of a
 library, command line programs, and a QT widget GUI application.
 .
 This software controls an ICOM PCR-1000 receiver via a serial
 interface.

Package: icomlib1
Architecture: any
Depends: ${shlibs:Depends}
Description: Icom PCR-1000 control shared libraries
 icomlib is the ghetto.org PCR-1000 control suite. It consists of a
 library, command line programs, and a QT widget GUI application.
 .
 This software controls an ICOM PCR-1000 receiver via a serial
 interface.

Package: icomlib-bin
Architecture: any
Depends: icomlib1
Description: Icom PCR-1000 command line control
 icomlib is the ghetto.org PCR-1000 control suite. It consists of a
 library, command line programs, and a QT widget GUI application.
 .
 This software controls an ICOM PCR-1000 receiver via a serial
 interface.

Package: qpcr1k
Architecture: any
Depends: ${shlibs:Depends}
Description: Icom PCR-1000 GUI control
 icomlib is the ghetto.org PCR-1000 control suite. It consists of a
 library, command line programs, and a QT widget GUI application.
 .
 This software controls an ICOM PCR-1000 receiver via a serial
 interface.

Package: icomlib-doc
Architecture: all
Description: Documentation for icomlib
 icomlib is the ghetto.org PCR-1000 control suite. It consists of a
 library, command line programs, and a QT widget GUI application.
 .
 This software controls an ICOM PCR-1000 receiver via a serial
 interface.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# This has to be exported to make some magic below work.
export DH_OPTIONS

# To built the GUI
QTDIR := $(shell if [ -d /usr/share/qt ]; then echo /usr/share/qt ; else echo /usr/lib/qt2 ; fi)
export QTDIR
QTMOC := $(shell if [ -x $(QTDIR)/bin/moc ]; then echo $(QTDIR)/bin/moc ; else echo /usr/bin/moc ; fi)
export QTDIR
export QTMOC

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure -prefix /usr -moc $(QTMOC)

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f lib/lib*

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/icomlib.
	$(MAKE) install PREFIX=$(CURDIR)/debian/tmp/usr
	dh_movefiles
	mkdir debian/icomlib1/DEBIAN
	install -m644 debian/icomlib1.shlibs debian/icomlib1/DEBIAN/shlibs
	install -m644 debian/manpage.1.gz debian/qpcr1k/usr/share/man/man1/qpcr1k.1.gz
	install -m644 debian/manpage.1.gz debian/icomlib-bin/usr/share/man/man1/pcr.1.gz
	install -m644 debian/manpage.1.gz debian/icomlib-bin/usr/share/man/man1/pcroff.1.gz
	cd debian/icomlib1/usr/lib && ln -s libpcomm.so.1.0 libpcomm.so.1
	cd debian/icomlib1/usr/lib && ln -s libpcp.so.1.0 libpcp.so.1
	cd debian/icomlib1/usr/lib && ln -s libplog.so.1.0 libplog.so.1

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
#	dh_makeshlibs
#	dh_perl
	dh_shlibdeps -l$(CURDIR)/icomlib1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
